" Disable Terminus Focus Reporting
let g:TerminusFocusReporting = 0

" Set Molokai theme options
let g:molokai_original = 1

" Set indenting preferences
set autoindent
set expandtab
set tabstop=4
set shiftwidth=4

" Add fzf to runtime path
set rtp+=/usr/local/opt/fzf

" Set terminal title and title string
set title
set titlestring=%<%F\ -\ (%{expand('%:p:h')})

" Enable line numbers
set number

" Enable syntax highlighting
syntax on

" Enable file type detection and plugin support
filetype plugin indent on

" Show matching brackets
set showmatch

" Enable incremental search
set incsearch

" Enable search highlighting
set hlsearch

" Ignore case while searching
set ignorecase

" Override ignorecase if search pattern contains upper case
set smartcase

" Enable clipboard to use system clipboard
set clipboard=unnamedplus

" Display incomplete commands
set showcmd

" Show the mode you're in
set showmode

" Set wildmenu for command-line completion
set wildmenu

" Better display for messages
set cmdheight=2

" Auto read when a file is changed from outside
set autoread

" Use spaces instead of tabs
set expandtab

" Remember cursor position for each file
if has("autocmd")
  au BufReadPost *
    \ if line("'\"") > 1 && line("'\"") <= line("$") |
    \   exe "normal! g'\"" |
    \ endif
endif

" Automatically reload files changed outside of Vim
set autoread
autocmd FocusGained,BufEnter * checktime

" Map leader key to space
let mapleader = " "

" Map :W to :w
command! W w
